.\"	$NetBSD: map-mbone.8,v 1.5 2003/03/05 21:55:52 wiz Exp $
.\"
.\" Mapper for connections between MRouteD multicast routers.
.\" Written by Pavel Curtis <Pavel@PARC.Xerox.Com>
.\" 
.\" Copyright (c) 1992, 2001 Xerox Corporation.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions are met:
.\"
.\" Redistributions of source code must retain the above copyright notice,
.\" this list of conditions and the following disclaimer.
.\"
.\" Redistributions in binary form must reproduce the above copyright notice,
.\" this list of conditions and the following disclaimer in the documentation
.\" and/or other materials provided with the distribution.
.\"
.\" Neither name of the Xerox, PARC, nor the names of its contributors may be
.\" used to endorse or promote products derived from this software 
.\" without specific prior written permission. 
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE XEROX CORPORATION OR
.\" CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
.\" EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
.\" PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
.\" OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
.\" WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
.\" OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
.\" EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
.\"
.TH MAP-MBONE 8
.UC 5
.SH NAME
map-mbone \- Multicast connection mapper
.SH SYNOPSIS
.B /usr/sbin/map-mbone
[
.B \-d
.I debug_level
] [
.B \-f
] [
.B \-g
] [
.B \-n
] [
.B \-r
.I retry_count
] [
.B \-t
.I timeout_count
] [
.B starting_router
]
.SH DESCRIPTION
.I map-mbone
attempts to display all multicast routers that are reachable from the multicast
.I starting_router.
If not specified on the command line, the default multicast
.I starting_router
is the localhost.
.PP
.I map-mbone
traverses neighboring multicast routers by sending the ASK_NEIGHBORS IGMP
message to the multicast starting_router. If this multicast router responds,
the version number and a list of their neighboring multicast router addresses is
part of that response. If the responding router has recent multicast version
number, then
.I map-mbone
requests additional information such as metrics, thresholds, and flags from the
multicast router. For each new occurrence of neighboring multicast router in
the reply and provided the flooding option has been selected, then
.I map-mbone
asks each of this multicast router for a list of neighbors. This search
for unique routers will continue until no new neighboring multicast routers
are reported.
.br
.ne 5
.SH INVOCATION
.PP
"\-d" option sets the debug level. When the debug level is greater than the
default value of 0, addition debugging messages are printed. Regardless of
the debug level, an error condition, will always write an error message and will
cause
.I map-mbone
to terminate.
Non-zero debug levels have the following effects:
.IP "level 1"
packet warnings are printed to stderr.
.IP "level 2"
all level 1 messages plus notifications down networks are printed to stderr.
.IP "level 3"
all level 2 messages plus notifications of all packet
timeouts are printed to stderr.
.PP
"\-f" option sets flooding option. Flooding allows the recursive search
of neighboring multicast routers and is enable by default when starting_router
is not used.
.PP
"\-g" option sets graphing in GraphEd format.
.PP
"\-n" option disables the DNS lookup for the multicast  routers names.
.PP
"\-r retry_count" sets the neighbor query retry limit. Default is 1 retry.
.PP
"\-t timeout_count" sets the number of seconds to wait for a neighbor query
reply before retrying. Default timeout is 2 seconds.
.PP
.SH IMPORTANT NOTE
.I map-mbone
must be run as root.
.PP
.SH SEE ALSO
.BR mrouted (8) ,
.BR mrinfo (8) ,
.BR mtrace (8)
.PP
.SH AUTHOR
Pavel Curtis
